osmium::handler::ObjectRelations Class Reference

`#include <object_relations.hpp>`

Inheritance diagram for osmium::handler::ObjectRelations:
[legend]
Collaboration diagram for osmium::handler::ObjectRelations:
[legend]

## Public Member Functions

| ObjectRelations (index_type &n2w, index_type &n2r, index_type &w2r, index_type &r2r)
| ObjectRelations (const ObjectRelations &)=delete
ObjectRelations & | operator= (const ObjectRelations &)=delete
| ~ObjectRelations () noexcept=default
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const
void | node (const osmium::Node &) const
void | way (const osmium::Way &) const
void | relation (const osmium::Relation &) const
void | area (const osmium::Area &) const
void | changeset (const osmium::Changeset &) const
void | tag_list (const osmium::TagList &) const
void | way_node_list (const osmium::WayNodeList &) const
void | relation_member_list (const osmium::RelationMemberList &) const
void | outer_ring (const osmium::OuterRing &) const
void | inner_ring (const osmium::InnerRing &) const
void | changeset_discussion (const osmium::ChangesetDiscussion &) const
void | flush () const

## Private Types

typedef osmium::index::multimap::Multimap< unsigned_object_id_type, unsigned_object_id_type > | index_type

## Private Attributes

index_type & | m_index_n2w
index_type & | m_index_n2r
index_type & | m_index_w2r
index_type & | m_index_r2r

## Detailed Description

Note: This handler will only work if either all object IDs are positive or all object IDs are negative.

## Member Typedef Documentation

typedef osmium::index::multimap::Multimap<unsigned_object_id_type, unsigned_object_id_type> osmium::handler::ObjectRelations::index_type

private

## Constructor & Destructor Documentation

osmium::handler::ObjectRelations::ObjectRelations | ( | index_type & | n2w,
|  | index_type & | n2r,
|  | index_type & | w2r,
|  | index_type & | r2r
| ) |  |

inline explicit

osmium::handler::ObjectRelations::ObjectRelations | ( | const ObjectRelations & |  | ) |

delete

osmium::handler::ObjectRelations::~ObjectRelations | ( |  | ) |

default noexcept

## Member Function Documentation

ObjectRelations& osmium::handler::ObjectRelations::operator= | ( | const ObjectRelations & |  | ) |

delete

void osmium::handler::ObjectRelations::relation | ( | const osmium::Relation & | relation | ) |

inline

void osmium::handler::ObjectRelations::way | ( | const osmium::Way & | way | ) |

inline

## Member Data Documentation

index_type& osmium::handler::ObjectRelations::m_index_n2r

private

index_type& osmium::handler::ObjectRelations::m_index_n2w

private

index_type& osmium::handler::ObjectRelations::m_index_r2r

private

index_type& osmium::handler::ObjectRelations::m_index_w2r

private

The documentation for this class was generated from the following file:

- osmium/handler/object_relations.hpp